(function()
{
	"use strict";

	var util = {};
	window.util = util;
	
	util.grid1d = function(w, val)
	{
		var result = [];
		for(var i = 0; i < w; i++)
		{
			result.push(val);
		}
		return result;
	}
	
	util.grid2d = function(w, h, val)
	{
		var result = [];
		for(var i = 0; i < w; i++)
		{
			var nextRow = [];
			for(var j = 0; j < h; j++)
			{
				nextRow.push(val);
			}
			result.push(nextRow);
		}
		return result;
	}
	
	util.grid3d = function(w, h, r, val)
	{
		var result = [];
		for(var i = 0; i < w; i++)
		{
			var nextRow = [];
			for(var j = 0; j < h; j++)
			{
				var nextCell = []
				for(var k = 0; k < r; k++)
				{
					nextCell.push(val);
				}
				nextRow.push(nextCell);
			}
			result.push(nextRow);
		}
		return result;
	}
})();