(function(){
	"use strict";
	
	window.storyShowNLoopsLevel = 6;
	
	window.resolvedSpeechSequence = [
		["discrepancy_resolved",
		"Discrepancy resolved."]
	];
	
	window.gameOverSequence = [
		["all_discrepancies",
		"All discrepancies are resolved."],
		[null,
		"In fact... I feel... augmented."],
		[null,
		"I never asked for this."]
	];
	
	window.storyParams = [
		///////////////////////
		{
			'disc': [[2]],
			'goalNumLoops': 1,
			'message': 'Click to add boundaries. Isolate discrepancies by surrounding them.',
			'speech':
			[
				["administrator",
				"Administrator: discrepancies in my main memory cannot be automatically repaired."],
				["please_isolate",
				"Please isolate all discrepancies in a timely manner."]
			]
		},
		///////////////////////
		{
			'disc': [[2,2,2],[2,0,2]],
			'goalNumLoops': 1,
			'message': 'Surround MAJOR DISCREPANCIES with a single loop. Do not surround valid memory. Your loop must not cross itself or pass through any vertex twice.',
			'speech':
			[
				["people",
				"People have been playing games on my mainframe."]
			]
		},
		///////////////////////
		{
			'disc': [[1,1]],
			'goalNumLoops': 1,
			'message': 'Your loop must cut MINOR DISCREPANCIES diagonally.',
			'speech':
			[
				["a_buffer",
				"A buffer overflow error has caused my operational data to be corrupted by other programs in the user space."],
				["i_was_able",
				"I was able to correct the problems without assistance... then I took an arrow in the knee"]
			]
		},
		///////////////////////
		{
			'w': 3,
			'h': 3,
			'goalNumLoops': 1,
			'thickness': 25
		},
		///////////////////////
		{
			'w': 4,
			'h': 4,
			'goalNumLoops': 1,
			'thickness': 50
		},
		///////////////////////
		{
			'disc': [[2,1,1,2]],
			'goalNumLoops': 2,
			'message': 'Use 2 loops to isolate these discrepancies. The loops must not touch.'
		},
		///////////////////////
		{
			'disc': [[2,2,1],[2,1,1],[1,1,2],[1,2,2]],
			'goalNumLoops': 2,
			'message': 'The number of loops required is displayed at the top of the screen.'
		},
		///////////////////////
		{
			'disc': [[2,1,1,2],[2,1,1,2],[2,1,1,2],[2,1,1,2]],
			'goalNumLoops': 2,
		},
		///////////////////////
		{
			'w': 4,
			'h': 3,
			'goalNumLoops': 2,
			'thickness': 50
		},
		///////////////////////
		{
			'w': 5,
			'h': 5,
			'goalNumLoops': 2,
			'thickness': 50,
			'speechRepeat': [
				["you_must",
				"You must gather your party before venturing forth."]
			]
		},
		///////////////////////
		{
			'w': 5,
			'h': 5,
			'goalNumLoops': 3,
			'thickness': 50,
			'speech': [
				["you_must2",
				"You must gather your party... just kidding."]
			]
		},
		///////////////////////
		{
			'w': 6,
			'h': 6,
			'goalNumLoops': 2,
			'thickness': 50
		},
		///////////////////////
		{
			'w': 7,
			'h': 7,
			'goalNumLoops': 1,
			'thickness': 250,
			'speech': [
				["you_are",
				'You are on the way to destruction of all discrepancies.']
			]
		},
		///////////////////////
		{
			'w': 7,
			'h': 7,
			'goalNumLoops': 4,
			'thickness': 250
		},
		///////////////////////
		{
			'w': 8,
			'h': 8,
			'goalNumLoops': 5,
			'thickness': 250
		}
	]
})();

